version: 1.0
name: rdsmariadb
metadata:
  displayName: Amazon RDS for MariaDB
  longDescription: MariaDB is a popular open source relational database created by
    the original developers of MySQL. Amazon RDS makes it easy to set up, operate,
    and scale MariaDB deployments in the cloud. With Amazon RDS, you can deploy scalable
    MariaDB databases in minutes with cost-efficient and resizable hardware capacity.
    Amazon RDS frees you up to focus on your application by managing time-consuming
    database administration tasks including backups, software patching, monitoring,
    scaling and replication.
  imageUrl: https://s3.amazonaws.com/awsservicebroker/icons/AmazonRDS_LARGE.png
  documentationUrl: https://aws.amazon.com/documentation/rds/
  providerDisplayName: Amazon Web Services
async: optional
bindable: true
description: AWS Service Broker - Amazon RDS for MariaDB
tags:
- AWS
plans:
- name: production
  metadata:
    cost: https://aws.amazon.com/rds/pricing/
    displayName: Production
    longDescription: Creates an Amazon RDS for MariaDB database optimised for production
      use
  description: Configuration designed for production deployments
  free: false
  parameters:
  - description: AWS Account ID to provision into
    display_group: AWS Account Information
    name: target_account_id
    title: AWS Target Account ID
    type: string
  - description: AWS IAM Role name to use for provioining
    display_group: AWS Account Information
    name: target_role_name
    title: AWS Target Role Name
    type: string
  - default: us-west-2
    description: AWS Region to create RDS instance in.
    display_group: AWS Account Information
    enum:
    - ap-northeast-1
    - ap-northeast-2
    - ap-south-1
    - ap-southeast-1
    - ap-southeast-2
    - ca-central-1
    - eu-central-1
    - eu-west-1
    - eu-west-2
    - sa-east-1
    - us-east-1
    - us-east-2
    - us-west-1
    - us-west-2
    name: region
    title: AWS Region
    type: enum
  - name: AccessCidr
    required: true
    description: CIDR block to allow to connect to database
    type: string
    title: Access CIDR
    display_group: Network and Security
  - name: AllocatedStorageAndIops
    required: true
    description: Storage/IOPS to allocate
    type: enum
    default: 100 GB / 1,000 IOPS
    enum:
    - 100 GB / 1,000 IOPS
    - 300 GB / 3,000 IOPS
    - 600 GB / 6,000 IOPS
    - 1,000 GB / 10,000 IOPS
    - 1,500 GB / 15,000 IOPS
    - 2,000 GB / 20,000 IOPS
    - 3,000 GB / 30,000 IOPS
    - 4,000 GB / 40,000 IOPS
    - 6,000 GB / 60,000 IOPS
    title: Allocated Storage And IOPS
    display_group: Database Instance Specifications
  - name: DBInstanceClass
    required: true
    description: The compute and memory capacity of the DB instance.
    type: enum
    default: db.m4.xlarge
    enum:
    - db.m1.small
    - db.m1.medium
    - db.m1.large
    - db.m1.xlarge
    - db.m2.xlarge
    - db.m2.2xlarge
    - db.m2.4xlarge
    - db.m3.medium
    - db.m3.large
    - db.m3.xlarge
    - db.m3.2xlarge
    - db.m4.large
    - db.m4.xlarge
    - db.m4.2xlarge
    - db.m4.4xlarge
    - db.m4.10xlarge
    - db.r3.large
    - db.r3.xlarge
    - db.r3.2xlarge
    - db.r3.4xlarge
    - db.r3.8xlarge
    - db.t2.micro
    - db.t2.small
    - db.t2.medium
    - db.t2.large
    title: DB Instance Class
    display_group: Database Instance Specifications
  - name: EngineVersion
    required: true
    description: The version number of the database engine to use.
    type: enum
    default: 10.1.23
    enum:
    - 10.0.17
    - 10.0.24
    - 10.0.28
    - 10.0.31
    - 10.1.14
    - 10.1.19
    - 10.1.23
    title: Engine Version
    display_group: Database Options
  - name: MysqlServerTimezone
    required: true
    description: The default timezone for the database engine to use.
    type: enum
    default: UTC
    enum:
    - Africa/Cairo
    - Africa/Casablanca
    - Africa/Harare
    - Africa/Monrovia
    - Africa/Nairobi
    - Africa/Tripoli
    - Africa/Windhoek
    - America/Araguaina
    - America/Asuncion
    - America/Bogota
    - America/Caracas
    - America/Chihuahua
    - America/Cuiaba
    - America/Denver
    - America/Fortaleza
    - America/Guatemala
    - America/Halifax
    - America/Manaus
    - America/Matamoros
    - America/Monterrey
    - America/Montevideo
    - America/Phoenix
    - America/Santiago
    - America/Tijuana
    - Asia/Amman
    - Asia/Ashgabat
    - Asia/Baghdad
    - Asia/Baku
    - Asia/Bangkok
    - Asia/Beirut
    - Asia/Calcutta
    - Asia/Damascus
    - Asia/Dhaka
    - Asia/Irkutsk
    - Asia/Jerusalem
    - Asia/Kabul
    - Asia/Karachi
    - Asia/Kathmandu
    - Asia/Krasnoyarsk
    - Asia/Magadan
    - Asia/Muscat
    - Asia/Novosibirsk
    - Asia/Riyadh
    - Asia/Seoul
    - Asia/Shanghai
    - Asia/Singapore
    - Asia/Taipei
    - Asia/Tehran
    - Asia/Tokyo
    - Asia/Ulaanbaatar
    - Asia/Vladivostok
    - Asia/Yakutsk
    - Asia/Yerevan
    - Atlantic/Azores
    - Australia/Adelaide
    - Australia/Brisbane
    - Australia/Darwin
    - Australia/Hobart
    - Australia/Perth
    - Australia/Sydney
    - Canada/Newfoundland
    - Canada/Saskatchewan
    - Brazil/East
    - Europe/Amsterdam
    - Europe/Athens
    - Europe/Dublin
    - Europe/Helsinki
    - Europe/Istanbul
    - Europe/Kaliningrad
    - Europe/Moscow
    - Europe/Paris
    - Europe/Prague
    - Europe/Sarajevo
    - Pacific/Auckland
    - Pacific/Fiji
    - Pacific/Guam
    - Pacific/Honolulu
    - Pacific/Samoa
    - US/Alaska
    - US/Central
    - US/Eastern
    - US/East-Indiana
    - US/Pacific
    - UTC
    title: MariaDB Server Timezone
    display_group: Database Options
  - name: PreferredBackupWindow
    required: true
    description: The daily time range in UTC during which automated backups are created
      (if automated backups are enabled). Cannot overlap with PreferredMaintenanceWindowTime
    type: enum
    default: 00:00-02:00
    enum:
    - 00:00-02:00
    - 01:00-03:00
    - 02:00-04:00
    - 03:00-05:00
    - 04:00-06:00
    - 05:00-07:00
    - 06:00-08:00
    - 07:00-09:00
    - 08:00-10:00
    - 09:00-11:00
    - 10:00-12:00
    - 11:00-13:00
    - 12:00-14:00
    - 13:00-15:00
    - 14:00-16:00
    - 15:00-17:00
    - 16:00-18:00
    - 17:00-19:00
    - 18:00-20:00
    - 19:00-21:00
    - 20:00-22:00
    - 21:00-23:00
    - 22:00-24:00
    title: Preferred Backup Window
    display_group: Backup
  - name: PreferredMaintenanceWindowDay
    required: true
    description: The day of the week which RDS maintenance will be performed
    type: enum
    default: Mon
    enum:
    - Mon
    - Tue
    - Wed
    - Thu
    - Fri
    - Sat
    - Sun
    title: Preferred Maintenance Window Day
    display_group: Maintenance
  - name: PreferredMaintenanceWindowEndTime
    required: true
    description: The weekly end time in UTC for the RDS maintenance window, must be
      more than PreferredMaintenanceWindowEndTime and cannot overlap with PreferredBackupWindow
    type: enum
    default: 06:00
    enum:
    - 00:00
    - 01:00
    - 02:00
    - 03:00
    - 04:00
    - 05:00
    - 06:00
    - 07:00
    - 08:00
    - 09:00
    - '10:00'
    - '11:00'
    - '12:00'
    - '13:00'
    - '14:00'
    - '15:00'
    - '16:00'
    - '17:00'
    - '18:00'
    - '19:00'
    - '20:00'
    - '21:00'
    - '22:00'
    title: Preferred Maintenance Window End Time
    display_group: Maintenance
  - name: PreferredMaintenanceWindowStartTime
    required: true
    description: The weekly start time in UTC for the RDS maintenance window, must
      be less than PreferredMaintenanceWindowEndTime and cannot overlap with PreferredBackupWindow
    type: enum
    default: 04:00
    enum:
    - 00:00
    - 01:00
    - 02:00
    - 03:00
    - 04:00
    - 05:00
    - 06:00
    - 07:00
    - 08:00
    - 09:00
    - '10:00'
    - '11:00'
    - '12:00'
    - '13:00'
    - '14:00'
    - '15:00'
    - '16:00'
    - '17:00'
    - '18:00'
    - '19:00'
    - '20:00'
    - '21:00'
    - '22:00'
    title: Preferred MaintenanceWindow Start Time
    display_group: Maintenance
  - name: PubliclyAccessible
    required: true
    description: Indicates whether the DB instance is an Internet-facing instance.
    type: enum
    default: 'false'
    enum:
    - 'true'
    - 'false'
    title: Publicly Accessible
    display_group: Network and Security
  - name: VpcId
    required: true
    description: The ID of the VPC to launch the RDS instance into
    type: string
    title: VPC Id
    display_group: Network and Security
- name: dev
  metadata:
    cost: https://aws.amazon.com/rds/pricing/
    displayName: Development
    longDescription: Creates an Amazon RDS for MariaDB database optimised for dev/test
      use
  description: Configuration designed for development and testing deployments
  free: false
  parameters:
  - description: AWS Account ID to provision into
    display_group: AWS Account Information
    name: target_account_id
    title: AWS Target Account ID
    type: string
  - description: AWS IAM Role name to use for provioining
    display_group: AWS Account Information
    name: target_role_name
    title: AWS Target Role Name
    type: string
  - default: us-west-2
    description: AWS Region to create RDS instance in.
    display_group: AWS Account Information
    enum:
    - ap-northeast-1
    - ap-northeast-2
    - ap-south-1
    - ap-southeast-1
    - ap-southeast-2
    - ca-central-1
    - eu-central-1
    - eu-west-1
    - eu-west-2
    - sa-east-1
    - us-east-1
    - us-east-2
    - us-west-1
    - us-west-2
    name: region
    title: AWS Region
    type: enum
  - name: AccessCidr
    required: true
    description: CIDR block to allow to connect to database
    type: string
    title: Access CIDR
    display_group: Network and Security
  - name: AllocatedStorageAndIops
    required: true
    description: Storage/IOPS to allocate
    type: enum
    default: 100 GB / 1,000 IOPS
    enum:
    - 100 GB / 1,000 IOPS
    - 300 GB / 3,000 IOPS
    - 600 GB / 6,000 IOPS
    - 1,000 GB / 10,000 IOPS
    - 1,500 GB / 15,000 IOPS
    - 2,000 GB / 20,000 IOPS
    - 3,000 GB / 30,000 IOPS
    - 4,000 GB / 40,000 IOPS
    - 6,000 GB / 60,000 IOPS
    title: Allocated Storage And IOPS
    display_group: Database Instance Specifications
  - name: DBInstanceClass
    required: true
    description: The compute and memory capacity of the DB instance.
    type: enum
    default: db.m4.xlarge
    enum:
    - db.m1.small
    - db.m1.medium
    - db.m1.large
    - db.m1.xlarge
    - db.m2.xlarge
    - db.m2.2xlarge
    - db.m2.4xlarge
    - db.m3.medium
    - db.m3.large
    - db.m3.xlarge
    - db.m3.2xlarge
    - db.m4.large
    - db.m4.xlarge
    - db.m4.2xlarge
    - db.m4.4xlarge
    - db.m4.10xlarge
    - db.r3.large
    - db.r3.xlarge
    - db.r3.2xlarge
    - db.r3.4xlarge
    - db.r3.8xlarge
    - db.t2.micro
    - db.t2.small
    - db.t2.medium
    - db.t2.large
    title: DB Instance Class
    display_group: Database Instance Specifications
  - name: EngineVersion
    required: true
    description: The version number of the database engine to use.
    type: enum
    default: 10.1.23
    enum:
    - 10.0.17
    - 10.0.24
    - 10.0.28
    - 10.0.31
    - 10.1.14
    - 10.1.19
    - 10.1.23
    title: Engine Version
    display_group: Database Options
  - name: MysqlServerTimezone
    required: true
    description: The default timezone for the database engine to use.
    type: enum
    default: UTC
    enum:
    - Africa/Cairo
    - Africa/Casablanca
    - Africa/Harare
    - Africa/Monrovia
    - Africa/Nairobi
    - Africa/Tripoli
    - Africa/Windhoek
    - America/Araguaina
    - America/Asuncion
    - America/Bogota
    - America/Caracas
    - America/Chihuahua
    - America/Cuiaba
    - America/Denver
    - America/Fortaleza
    - America/Guatemala
    - America/Halifax
    - America/Manaus
    - America/Matamoros
    - America/Monterrey
    - America/Montevideo
    - America/Phoenix
    - America/Santiago
    - America/Tijuana
    - Asia/Amman
    - Asia/Ashgabat
    - Asia/Baghdad
    - Asia/Baku
    - Asia/Bangkok
    - Asia/Beirut
    - Asia/Calcutta
    - Asia/Damascus
    - Asia/Dhaka
    - Asia/Irkutsk
    - Asia/Jerusalem
    - Asia/Kabul
    - Asia/Karachi
    - Asia/Kathmandu
    - Asia/Krasnoyarsk
    - Asia/Magadan
    - Asia/Muscat
    - Asia/Novosibirsk
    - Asia/Riyadh
    - Asia/Seoul
    - Asia/Shanghai
    - Asia/Singapore
    - Asia/Taipei
    - Asia/Tehran
    - Asia/Tokyo
    - Asia/Ulaanbaatar
    - Asia/Vladivostok
    - Asia/Yakutsk
    - Asia/Yerevan
    - Atlantic/Azores
    - Australia/Adelaide
    - Australia/Brisbane
    - Australia/Darwin
    - Australia/Hobart
    - Australia/Perth
    - Australia/Sydney
    - Canada/Newfoundland
    - Canada/Saskatchewan
    - Brazil/East
    - Europe/Amsterdam
    - Europe/Athens
    - Europe/Dublin
    - Europe/Helsinki
    - Europe/Istanbul
    - Europe/Kaliningrad
    - Europe/Moscow
    - Europe/Paris
    - Europe/Prague
    - Europe/Sarajevo
    - Pacific/Auckland
    - Pacific/Fiji
    - Pacific/Guam
    - Pacific/Honolulu
    - Pacific/Samoa
    - US/Alaska
    - US/Central
    - US/Eastern
    - US/East-Indiana
    - US/Pacific
    - UTC
    title: MariaDB Server Timezone
    display_group: Database Options
  - name: PubliclyAccessible
    required: true
    description: Indicates whether the DB instance is an Internet-facing instance.
    type: enum
    default: 'false'
    enum:
    - 'true'
    - 'false'
    title: Publicly Accessible
    display_group: Network and Security
  - name: VpcId
    required: true
    description: The ID of the VPC to launch the RDS instance into
    type: string
    title: VPC Id
    display_group: Network and Security
- name: custom
  metadata:
    cost: https://aws.amazon.com/rds/pricing/
    displayName: Custom
    longDescription: Creates an Amazon RDS for MariaDB database with custom configuration
  description: Custom Configuration for Advanced deployments
  free: false
  parameters:
  - description: AWS Account ID to provision into
    display_group: AWS Account Information
    name: target_account_id
    title: AWS Target Account ID
    type: string
  - description: AWS IAM Role name to use for provioining
    display_group: AWS Account Information
    name: target_role_name
    title: AWS Target Role Name
    type: string
  - default: us-west-2
    description: AWS Region to create RDS instance in.
    display_group: AWS Account Information
    enum:
    - ap-northeast-1
    - ap-northeast-2
    - ap-south-1
    - ap-southeast-1
    - ap-southeast-2
    - ca-central-1
    - eu-central-1
    - eu-west-1
    - eu-west-2
    - sa-east-1
    - us-east-1
    - us-east-2
    - us-west-1
    - us-west-2
    name: region
    title: AWS Region
    type: enum
  - name: AccessCidr
    required: true
    description: CIDR block to allow to connect to database
    type: string
    title: Access CIDR
    display_group: Network and Security
  - name: AllocatedStorageAndIops
    required: true
    description: Storage/IOPS to allocate
    type: enum
    default: 100 GB / 1,000 IOPS
    enum:
    - 100 GB / 1,000 IOPS
    - 300 GB / 3,000 IOPS
    - 600 GB / 6,000 IOPS
    - 1,000 GB / 10,000 IOPS
    - 1,500 GB / 15,000 IOPS
    - 2,000 GB / 20,000 IOPS
    - 3,000 GB / 30,000 IOPS
    - 4,000 GB / 40,000 IOPS
    - 6,000 GB / 60,000 IOPS
    title: Allocated Storage And IOPS
    display_group: Database Instance Specifications
  - name: AllowMajorVersionUpgrade
    required: true
    description: If you update the EngineVersion property to a version that's different
      from the DB instance's current major version, set this property to true.
    type: enum
    default: 'false'
    enum:
    - 'true'
    - 'false'
  - name: AutoMinorVersionUpgrade
    required: true
    description: Indicates that minor engine upgrades are applied automatically to
      the DB instance during the maintenance window.
    type: enum
    default: 'true'
    enum:
    - 'true'
    - 'false'
  - name: AvailabilityZones
    required: true
    description: list of availability zones to use, must be the same quantity as specified
      in NumberOfAvailabilityZones
    type: string
    default: Auto
    title: Availability Zones
    display_group: Network and Security
  - name: BackupRetentionPeriod
    required: true
    description: The number of days during which automatic DB snapshots are retained.
      Setting 0 disables automatic snapshots, maximum value is 35
    type: int
    default: 35
  - name: CidrBlocks
    required: true
    description: comma seperated list of CIDR blocks to place RDS into, must be the
      same quantity as specified in NumberOfAvailabilityZones
    type: string
    default: Auto
    title: CIDR Blocks
    display_group: Network and Security
  - name: CidrSize
    required: true
    description: Size of Cidr block to allocate if CidrBlocks is set to Auto.
    type: string
    default: 27
    title: CIDR Size
    display_group: Network and Security
  - name: CopyTagsToSnapshot
    required: true
    description: Indicates whether to copy all of the user-defined tags from the DB
      instance to snapshots of the DB instance.
    type: enum
    default: 'true'
    enum:
    - 'true'
    - 'false'
  - name: DBInstanceClass
    required: true
    description: The compute and memory capacity of the DB instance.
    type: enum
    default: db.m4.xlarge
    enum:
    - db.m1.small
    - db.m1.medium
    - db.m1.large
    - db.m1.xlarge
    - db.m2.xlarge
    - db.m2.2xlarge
    - db.m2.4xlarge
    - db.m3.medium
    - db.m3.large
    - db.m3.xlarge
    - db.m3.2xlarge
    - db.m4.large
    - db.m4.xlarge
    - db.m4.2xlarge
    - db.m4.4xlarge
    - db.m4.10xlarge
    - db.r3.large
    - db.r3.xlarge
    - db.r3.2xlarge
    - db.r3.4xlarge
    - db.r3.8xlarge
    - db.t2.micro
    - db.t2.small
    - db.t2.medium
    - db.t2.large
    title: DB Instance Class
    display_group: Database Instance Specifications
  - name: DBName
    required: true
    description: The name of the database to create when the DB instance is created,
      will be autogenerated if set to "Auto"
    type: string
    default: Auto
  - name: EngineVersion
    required: true
    description: The version number of the database engine to use.
    type: enum
    default: 10.1.23
    enum:
    - 10.0.17
    - 10.0.24
    - 10.0.28
    - 10.0.31
    - 10.1.14
    - 10.1.19
    - 10.1.23
    title: Engine Version
    display_group: Database Options
  - name: MasterUserPassword
    required: true
    description: Master user database Password, if left at default a 32 character
      password will be generated
    type: string
    default: Auto
    title: Master User Password
    display_group: Database Options
    display_type: password
  - name: MasterUsername
    required: true
    description: Master database Username
    type: string
    title: Master Username
    display_group: Database Options
  - name: MonitoringInterval
    required: true
    description: The interval, in seconds, between points when Enhanced Monitoring
      metrics are collected for the DB instance.
    type: enum
    default: 1
    enum:
    - '0'
    - '1'
    - '5'
    - '10'
    - '15'
    - '30'
    - '60'
  - name: MultiAZ
    required: true
    description: Specifies if the database instance is a multiple Availability Zone
      deployment.
    type: enum
    default: 'true'
    enum:
    - 'true'
    - 'false'
    title: Multi AZ
    display_group: Database Options
  - name: MysqlServerTimezone
    required: true
    description: The default timezone for the database engine to use.
    type: enum
    default: UTC
    enum:
    - Africa/Cairo
    - Africa/Casablanca
    - Africa/Harare
    - Africa/Monrovia
    - Africa/Nairobi
    - Africa/Tripoli
    - Africa/Windhoek
    - America/Araguaina
    - America/Asuncion
    - America/Bogota
    - America/Caracas
    - America/Chihuahua
    - America/Cuiaba
    - America/Denver
    - America/Fortaleza
    - America/Guatemala
    - America/Halifax
    - America/Manaus
    - America/Matamoros
    - America/Monterrey
    - America/Montevideo
    - America/Phoenix
    - America/Santiago
    - America/Tijuana
    - Asia/Amman
    - Asia/Ashgabat
    - Asia/Baghdad
    - Asia/Baku
    - Asia/Bangkok
    - Asia/Beirut
    - Asia/Calcutta
    - Asia/Damascus
    - Asia/Dhaka
    - Asia/Irkutsk
    - Asia/Jerusalem
    - Asia/Kabul
    - Asia/Karachi
    - Asia/Kathmandu
    - Asia/Krasnoyarsk
    - Asia/Magadan
    - Asia/Muscat
    - Asia/Novosibirsk
    - Asia/Riyadh
    - Asia/Seoul
    - Asia/Shanghai
    - Asia/Singapore
    - Asia/Taipei
    - Asia/Tehran
    - Asia/Tokyo
    - Asia/Ulaanbaatar
    - Asia/Vladivostok
    - Asia/Yakutsk
    - Asia/Yerevan
    - Atlantic/Azores
    - Australia/Adelaide
    - Australia/Brisbane
    - Australia/Darwin
    - Australia/Hobart
    - Australia/Perth
    - Australia/Sydney
    - Canada/Newfoundland
    - Canada/Saskatchewan
    - Brazil/East
    - Europe/Amsterdam
    - Europe/Athens
    - Europe/Dublin
    - Europe/Helsinki
    - Europe/Istanbul
    - Europe/Kaliningrad
    - Europe/Moscow
    - Europe/Paris
    - Europe/Prague
    - Europe/Sarajevo
    - Pacific/Auckland
    - Pacific/Fiji
    - Pacific/Guam
    - Pacific/Honolulu
    - Pacific/Samoa
    - US/Alaska
    - US/Central
    - US/Eastern
    - US/East-Indiana
    - US/Pacific
    - UTC
    title: MariaDB Server Timezone
    display_group: Database Options
  - name: NumberOfAvailabilityZones
    required: true
    description: Quantity of subnets to use, if selecting more than 2 the region this
      stack is in must have at least that many Availability Zones
    type: enum
    default: 2
    enum:
    - '2'
    - '3'
    - '4'
    - '5'
    title: Number Of Availability Zones
    display_group: Network and Security
  - name: PortNumber
    required: true
    description: The port number for the database server to listen on
    type: int
    default: 10001
    title: Port Number
    display_group: Database Options
  - name: PreferredBackupWindow
    required: true
    description: The daily time range in UTC during which automated backups are created
      (if automated backups are enabled). Cannot overlap with PreferredMaintenanceWindowTime
    type: enum
    default: 00:00-02:00
    enum:
    - 00:00-02:00
    - 01:00-03:00
    - 02:00-04:00
    - 03:00-05:00
    - 04:00-06:00
    - 05:00-07:00
    - 06:00-08:00
    - 07:00-09:00
    - 08:00-10:00
    - 09:00-11:00
    - 10:00-12:00
    - 11:00-13:00
    - 12:00-14:00
    - 13:00-15:00
    - 14:00-16:00
    - 15:00-17:00
    - 16:00-18:00
    - 17:00-19:00
    - 18:00-20:00
    - 19:00-21:00
    - 20:00-22:00
    - 21:00-23:00
    - 22:00-24:00
    title: Preferred Backup Window
    display_group: Backup
  - name: PreferredMaintenanceWindowDay
    required: true
    description: The day of the week which RDS maintenance will be performed
    type: enum
    default: Mon
    enum:
    - Mon
    - Tue
    - Wed
    - Thu
    - Fri
    - Sat
    - Sun
    title: Preferred Maintenance Window Day
    display_group: Maintenance
  - name: PreferredMaintenanceWindowEndTime
    required: true
    description: The weekly end time in UTC for the RDS maintenance window, must be
      more than PreferredMaintenanceWindowEndTime and cannot overlap with PreferredBackupWindow
    type: enum
    default: 06:00
    enum:
    - 00:00
    - 01:00
    - 02:00
    - 03:00
    - 04:00
    - 05:00
    - 06:00
    - 07:00
    - 08:00
    - 09:00
    - '10:00'
    - '11:00'
    - '12:00'
    - '13:00'
    - '14:00'
    - '15:00'
    - '16:00'
    - '17:00'
    - '18:00'
    - '19:00'
    - '20:00'
    - '21:00'
    - '22:00'
    title: Preferred Maintenance Window End Time
    display_group: Maintenance
  - name: PreferredMaintenanceWindowStartTime
    required: true
    description: The weekly start time in UTC for the RDS maintenance window, must
      be less than PreferredMaintenanceWindowEndTime and cannot overlap with PreferredBackupWindow
    type: enum
    default: 04:00
    enum:
    - 00:00
    - 01:00
    - 02:00
    - 03:00
    - 04:00
    - 05:00
    - 06:00
    - 07:00
    - 08:00
    - 09:00
    - '10:00'
    - '11:00'
    - '12:00'
    - '13:00'
    - '14:00'
    - '15:00'
    - '16:00'
    - '17:00'
    - '18:00'
    - '19:00'
    - '20:00'
    - '21:00'
    - '22:00'
    title: Preferred MaintenanceWindow Start Time
    display_group: Maintenance
  - name: PubliclyAccessible
    required: true
    description: Indicates whether the DB instance is an Internet-facing instance.
    type: enum
    default: 'false'
    enum:
    - 'true'
    - 'false'
    title: Publicly Accessible
    display_group: Network and Security
  - name: StorageEncrypted
    required: true
    description: Indicates whether the DB instance is encrypted.
    type: enum
    default: 'true'
    enum:
    - 'true'
    - 'false'
  - name: StorageType
    required: true
    description: Specifies the storage type to be associated with the DB instance.
    type: enum
    default: io1
    enum:
    - io1
    - gp2
    - standard
  - name: VpcId
    required: true
    description: The ID of the VPC to launch the RDS instance into
    type: string
    title: VPC Id
    display_group: Network and Security
